LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XInterfaceMethodTypeDescription Interface Referencepublished

Reflects an interface method type. More...

`import"XInterfaceMethodTypeDescription.idl";`

Inheritance diagram for XInterfaceMethodTypeDescription:

## Public Member Functions
com::sun::star::reflection::XTypeDescription | getReturnType ()
| Returns the method's return type. More...
boolean | isOneway ()
| Returns true, if this method is declared oneway. More...
sequence< com::sun::star::reflection::XMethodParameter > | getParameters ()
| Returns all parameters of the method in order of IDL declaration. More...
sequence< com::sun::star::reflection::XTypeDescription > | getExceptions ()
| Returns declared exceptions that may occur upon invocations of the method. More...
Public Member Functions inherited from XInterfaceMemberTypeDescription
string | getMemberName ()
| Returns name of member. More...
long | getPosition ()
| Returns the position the member including all inherited members of base interfaces. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects an interface method type.

The type class of this type is TypeClass_INTERFACE_METHOD.

## Member Function Documentation

## ◆ getExceptions()

sequence< com::sun::star::reflection::XTypeDescription > getExceptions | ( |  | ) |

Returns declared exceptions that may occur upon invocations of the method.

Returns
  declared exceptions of method

## ◆ getParameters()

sequence< com::sun::star::reflection::XMethodParameter > getParameters | ( |  | ) |

Returns all parameters of the method in order of IDL declaration.

Returns
  method parameters

## ◆ getReturnType()

com::sun::star::reflection::XTypeDescription getReturnType | ( |  | ) |

Returns the method's return type.

Returns
  method's return type

## ◆ isOneway()

boolean isOneway | ( |  | ) |

Returns true, if this method is declared oneway.

Returns
  true, if this method is declared oneway

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XInterfaceMethodTypeDescription.idl